const { app, BrowserWindow } = require('electron')
let path = require('path');

const createWindow = () => {
    const win = new BrowserWindow({
        width: 1000,
        height: 800,
        webPreferences: {
            preload: path.join(__dirname, '/util/preload.js'),
            sandbox: false,
            allowRunningInsecureContent: true,
            webSecurity: false,
            contextIsolation: false
        }
    })
    win.loadFile('./view/dist/index.html')
    // win.loadURL("http://localhost:5173/")
}

// app.whenReady().then(() => {
//     createWindow()
// })
app.on('ready', function () {
    createWindow()
});